import Vue from 'vue' // 引入 vue  nodem_moudules 不需要写路径
import App from './App.vue' // 自己的文件需要写路径
import router from "./router/index.js"
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import axios from "axios"
Vue.config.productionTip = false  // 阻止生产提示
Vue.use(ElementUI);
// Vue.use(axios) axios 不支持use引入
Vue.prototype.axios = axios // 基于原型链安装 为Vue添加方法
Vue.prototype.globaldata = {}
// vuex
new Vue({
  render: h => h(App), // 渲染 传入的组件 根组件
  router: router //挂载router
}).$mount('#app')
// 链式操作 vue3 $

// 引入完成
// vue引入 Vue.use

// 1.将组件映射到路由
// 2.告诉vuerouter渲染到哪里 刚开始router 必须写在跟组件里面 (App.vue)
// 3. 创建 router 实例 // new 引入进来的router明总
// 4. 创建和挂载根实例。 // 在new vue里面写 router: router

// url带/#/ hash 导航


// axios
// import
// 原型链挂载